Skip to main content
GET
/
crm
/
v3
/
properties
/
{objectType}
/
groups
/
{groupName}
Read a property group
curl --request GET \
  --url https://api.hubapi.com/crm/v3/properties/{objectType}/groups/{groupName} \
  --header 'Authorization: Bearer <token>'
{
  "displayOrder": -1,
  "label": "My Property Group",
  "name": "mypropertygroup"
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

groupName
string
required

The name of the property group to be read.

objectType
string
required

The type of HubSpot object for which the property group is being read.

Query Parameters

locale
string

The language locale for the response content.

Response

successful operation

An ID for a group of properties

archived
boolean
required

Indicates whether the property group is archived.

displayOrder
integer<int32>
required

Property groups are displayed in order starting with the lowest positive integer value. Values of -1 will cause the property group to be displayed after any positive values.

label
string
required

A human-readable label that will be shown in HubSpot.

name
string
required

The name of the property to read or modify.

Last modified on February 12, 2026